/*
 * ar4c-dcdc - storage.h
 *
 * Copyright (C) 2014  Krzysztof Mazur <krzysiek@podlesie.net>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 */

#ifndef STORAGE_H_INCLUDED
#define STORAGE_H_INCLUDED

#include <ltypes.h>

/* low level access */
void ee_write(u8 x, unsigned int addr);
u8 ee_read(unsigned int addr);

#define CONFIG_REGS_COUNT	15
#define CONFIG_REGS_BASE	16

void config_write(u16 x, unsigned char reg);
u16 config_read(unsigned char reg);

#endif
