/*
 * ar4c-dcdc - dcdc.c
 *
 * DC/DC Control
 *
 * Copyright (C) 2014  Krzysztof Mazur <krzysiek@podlesie.net>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 */

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif
#include <avr/io.h>
#include <tio.h>
#include <pins.h>

void dcdc_shutdown(unsigned char enable)
{
	if (enable)
		PORTC &= ~POFF;
	else
		PORTC |= POFF;
}
